Subject: bug#59138: Eglot support for java-language-server

From: Robert Brown <[email-masked]>
Date: Wed, 9 Nov 2022 11:25:40 -0500

Not sure if I have signed a copyright assignment.  Would have been a long
time ago.  My email address would have been @bibliotech.com.

On Wed, Nov 9, 2022, 11:07 AM Stefan Kangas <[email-masked]> wrote:

> [Please use "Reply to all" so that the discussion is recorded in the bug
> tracker.]
>
> Robert Brown <[email-masked]> writes:
>
> > I don't know what the relative popularity is.  I found j-l-s to be
> > easier to compile and configure for environments that are not Maven or
> > Gradle.  I think jdtls may have more features.
>
> Thanks, that's good enough for me.
>
> Have you signed the copyright assignment?  I see one previous change
> from you, so I'm not sure if this latest patch would take us over the
> limit for what we could accept without one.  Eli, any comments?
>
> commit 96db005527ef9d9c45c5ec8e91b01e91ee37a7fd
> Author: Robert Brown (tiny change) <[email-masked]>
> Date:   Thu Jun 19 10:03:45 2014 -0400
>
>     * etc/NEWS: New Tramp method "nc".
>
>     * lisp/emacs-lisp/lisp-mode.el (lisp-string-after-doc-keyword-p): New
> fun.
>     (lisp-string-in-doc-position-p): New function, extracted from
>     lisp-font-lock-syntactic-face-function.
>     (lisp-font-lock-syntactic-face-function): Use them.
>
>     Fixes: debbugs:9130
>
>  etc/NEWS                     |  3 +++
>  lisp/ChangeLog               |  7 +++++++
>  lisp/emacs-lisp/lisp-mode.el | 64
> ++++++++++++++++++++++++++++++++++++++--------------------------
>  3 files changed, 48 insertions(+), 26 deletions(-)
>